## org.metaabm.gen.test
Class BasicCell

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.HostCell
                          org.metaabm.gen.test.BasicCell

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class BasicCell

extends HostCell

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.HostCell
`IS_AVAILABLE, IS_OCCUPIED, occupant`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`BasicCell()` Constructs a new Basic Cell.

Method Summary
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createUniqueID()`
`void` `dummy()`
`BasicMovementModel` `getBasicMovementModel()`
`java.awt.Color` `getColor()` Returns the default color for this cell (green.) Override to provide another color, or provide a different color feature for your views.
`java.lang.String` `getName()` A name this object may be referred to by.
`java.util.List` `getNetwork()` Returns some network of related cells.
`java.lang.String` `getUID()`
`boolean` `isGoal()` Gets the Goal property for Basic Cell.
`boolean` `isGoal2()` Gets the Goal 2 property for Basic Cell.
`boolean` `isGoal3()` Gets the Goal 3 property for Basic Cell.
`void` `setGoal(boolean _goal)` Sets the Goal property for Basic Cell.
`void` `setGoal2(boolean _goal2)` Sets the Goal 2 property for Basic Cell.
`void` `setGoal3(boolean _goal3)` Sets the Goal 3 property for Basic Cell.

Methods inherited from class org.ascape.model.HostCell
`findAvailableNeighbors, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNeighboringOccupants, findOccupantsWithin, findOccupantsWithin, findOccupantsWithin, findRandomAvailableNeighbor, getOccupant, isAvailable, isNeighborAvailable, removeOccupant, setNeighborsList, setOccupant`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findNeighbors, findOccupants, findRandomNeighbor, findRelative, getDistance, getNeighbors, getNeighbors, hostedCondition, initialize, playNeighbors, playRandomNeighbor, setNeighbors, setNetwork, toString`

Methods inherited from class org.ascape.model.LocatedAgent

`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findNearest, findNearest, findNearest, findNearest, findNearest, findWithin, findWithin, findWithin, findWithin, getAgentSize, getCoordinate, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveAway, moveTo, moveToRandomLocation, moveToward, moveToward, moveToward, randomWalk, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, die, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, getCoordinate, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### BasicCell

    public BasicCell()

  Constructs a new Basic Cell.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `HostCell`
  Returns:
    the object

### dummy

    public void dummy()

### getBasicMovementModel

    public BasicMovementModel getBasicMovementModel()

### getNetwork

    public java.util.List getNetwork()

  Description copied from class: `Cell`
  Returns some network of related cells. The network itself is implementation specific.

  Overrides:
    `getNetwork` in class `Cell`

### getColor

    public java.awt.Color getColor()

  Description copied from class: `HostCell`
  Returns the default color for this cell (green.) Override to provide another color, or provide a different color feature for your views.

  Overrides:
    `getColor` in class `HostCell`

### isGoal

    public boolean isGoal()

  Gets the Goal property for Basic Cell.

  Returns:

### setGoal

    public void setGoal(boolean _goal)

  Sets the Goal property for Basic Cell.

  Parameters:
    `_goal` - the new Goal value

### isGoal2

    public boolean isGoal2()

  Gets the Goal 2 property for Basic Cell.

  Returns:

### setGoal2

    public void setGoal2(boolean _goal2)

  Sets the Goal 2 property for Basic Cell.

  Parameters:
    `_goal2` - the new Goal 2 value

### isGoal3

    public boolean isGoal3()

  Gets the Goal 3 property for Basic Cell.

  Returns:

### setGoal3

    public void setGoal3(boolean _goal3)

  Sets the Goal 3 property for Basic Cell.

  Parameters:
    `_goal3` - the new Goal 3 value

### getName

    public java.lang.String getName()

  Description copied from class: `AscapeObject`
  A name this object may be referred to by.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`